> For the complete documentation index, see [llms.txt](https://docs.rememberizer.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rememberizer.ai/de/entwicklerressourcen/api-docs/vector-store/get-the-information-of-a-document.md).

# Informationen zu einem Dokument abrufen

{% openapi src="/files/ruiFvGmmJmrVu2Iycaim" path="/vector-stores/{vector-store-id}/documents/{document-id}" method="get" %}
[rememberizer\_openapi.yml](https://2490272757-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fx5M0COIHmFFlpJ9e5pvp%2Fuploads%2Fgit-blob-77b6137eeb641262ec8e531c78123c02b825b865%2Frememberizer_openapi.yml?alt=media\&token=22d7ca07-e3b4-475f-840e-857109bf09bc)
{% endopenapi %}

## Beispielanfragen

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X GET \
  https://api.rememberizer.ai/api/v1/vector-stores/vs_abc123/documents/1234 \
  -H "x-api-key: YOUR_API_KEY"
```

{% hint style="info" %}
Ersetzen Sie `YOUR_API_KEY` durch Ihren tatsächlichen API-Schlüssel für den Vector Store, `vs_abc123` durch Ihre Vector Store-ID und `1234` durch die Dokumenten-ID.
{% endhint %}
{% endtab %}

{% tab title="JavaScript" %}

```javascript
const getDocumentInfo = async (vectorStoreId, documentId) => {
  const response = await fetch(`https://api.rememberizer.ai/api/v1/vector-stores/${vectorStoreId}/documents/${documentId}`, {
    method: 'GET',
    headers: {
      'x-api-key': 'YOUR_API_KEY'
    }
  });
  
  const data = await response.json();
  console.log(data);
};

getDocumentInfo('vs_abc123', 1234);
```

{% hint style="info" %}
Ersetzen Sie `YOUR_API_KEY` durch Ihren tatsächlichen API-Schlüssel für den Vector Store, `vs_abc123` durch Ihre Vector Store-ID und `1234` durch die Dokumenten-ID.
{% endhint %}
{% endtab %}

{% tab title="Python" %}

```python
import requests

def get_document_info(vector_store_id, document_id):
    headers = {
        "x-api-key": "YOUR_API_KEY"
    }
    
    response = requests.get(
        f"https://api.rememberizer.ai/api/v1/vector-stores/{vector_store_id}/documents/{document_id}",
        headers=headers
    )
    
    data = response.json()
    print(data)

get_document_info('vs_abc123', 1234)
```

{% hint style="info" %}
Ersetzen Sie `YOUR_API_KEY` durch Ihren tatsächlichen API-Schlüssel für den Vector Store, `vs_abc123` durch Ihre Vector Store-ID und `1234` durch die Dokumenten-ID.
{% endhint %}
{% endtab %}
{% endtabs %}

## Pfadparameter

| Parameter       | Typ     | Beschreibung                                                             |
| --------------- | ------- | ------------------------------------------------------------------------ |
| vector-store-id | string  | **Erforderlich.** Die ID des Vektor-Speichers, der das Dokument enthält. |
| document-id     | integer | **Erforderlich.** Die ID des abzurufenden Dokuments.                     |

## Antwortformat

```json
{
  "id": 1234,
  "name": "Produktanleitung.pdf",
  "type": "application/pdf",
  "vector_store": "vs_abc123",
  "size": 250000,
  "status": "indiziert",
  "processing_status": "abgeschlossen",
  "indexed_on": "2023-06-15T10:30:00Z",
  "status_error_message": null,
  "created": "2023-06-15T10:15:00Z",
  "modified": "2023-06-15T10:30:00Z"
}
```

## Authentifizierung

Dieser Endpunkt erfordert eine Authentifizierung mit einem API-Schlüssel im `x-api-key`-Header.

## Fehlerantworten

| Statuscode | Beschreibung                                                  |
| ---------- | ------------------------------------------------------------- |
| 401        | Nicht autorisiert - Ungültiger oder fehlender API-Schlüssel   |
| 404        | Nicht gefunden - Vektor-Speicher oder Dokument nicht gefunden |
| 500        | Interner Serverfehler                                         |

Dieser Endpunkt ruft detaillierte Informationen über ein bestimmtes Dokument im Vektor-Speicher ab. Er ist nützlich, um den Verarbeitungsstatus einzelner Dokumente zu überprüfen und Metadaten wie Dateityp, Größe und Zeitstempel abzurufen. Dies kann besonders hilfreich sein, wenn Probleme mit der Dokumentenverarbeitung auftreten oder wenn Sie überprüfen müssen, ob ein Dokument ordnungsgemäß indiziert wurde.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rememberizer.ai/de/entwicklerressourcen/api-docs/vector-store/get-the-information-of-a-document.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
